xine-lib: xine-lib-1.2.13/src/input/librtsp/rtsp_session.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions | Variables
rtsp_session.c File Reference
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "rtsp.h"`
`#include "rtsp_session.h"`
`#include "real.h"`
`#include "rmff.h"`
`#include "asmrp.h"`
`#include <xine/xine_internal.h>`
`#include <xine/xine_buffer.h>`

## Data Structures
struct | rtsp_session_s

## Macros
#define | LOG_MODULE "rtsp_session"
#define | LOG_VERBOSE
#define | BUF_SIZE 4096
#define | HEADER_SIZE 4096

## Functions
rtsp_session_t * | rtsp_session_start (xine_stream_t *stream, const char *mrl)
void | rtsp_session_set_start_time (rtsp_session_t *this, int start_time)
static void | rtsp_session_play (rtsp_session_t *this)
int | rtsp_session_read (rtsp_session_t *this, char *data, int len)
int | rtsp_session_peek_header (rtsp_session_t *this, char *buf, int maxsize)
void | rtsp_session_end (rtsp_session_t *session)

## Variables
static const uint32_t | rtsp_bandwidths []
static const char *const | rtsp_bandwidth_strs []

## Macro Definition Documentation

## ◆ BUF_SIZE

#define BUF_SIZE 4096

Referenced by rtsp_session_start().

## ◆ HEADER_SIZE

#define HEADER_SIZE 4096

Referenced by rtsp_session_start().

## ◆ LOG_MODULE

#define LOG_MODULE "rtsp_session"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ rtsp_session_end()

void rtsp_session_end | ( | rtsp_session_t * | session | ) |

References rtsp_session_s::recv, rtsp_close(), rtsp_session_s::s, and xine_buffer_free.

Referenced by rtsp_plugin_dispose().

## ◆ rtsp_session_peek_header()

int rtsp_session_peek_header | ( | rtsp_session_t * | this,
|  | char * | buf,
|  | int | maxsize )

Referenced by rtsp_plugin_get_optional_data().

## ◆ rtsp_session_play()

static void rtsp_session_play | ( | rtsp_session_t * | this | ) |
| static

References NULL, rtsp_request_play(), and rtsp_schedule_field().

Referenced by rtsp_session_read().

## ◆ rtsp_session_read()

int rtsp_session_read | ( | rtsp_session_t * | this,
|  | char * | data,
|  | int | len )

References lprintf, real_get_rdt_chunk(), and rtsp_session_play().

Referenced by rtsp_plugin_read().

## ◆ rtsp_session_set_start_time()

void rtsp_session_set_start_time | ( | rtsp_session_t * | this,
|  | int | start_time )

Referenced by rtsp_plugin_seek_time().

## ◆ rtsp_session_start()

rtsp_session_t * rtsp_session_start | ( | xine_stream_t * | stream,
|  | const char * | mrl )

References _, BUF_SIZE, xine_s::config, rtsp_session_s::header, rtsp_session_s::header_left, rtsp_session_s::header_len, HEADER_SIZE, NULL, real_setup_and_get_header(), rtsp_session_s::recv, rtsp_session_s::recv_read, rtsp_session_s::recv_size, config_values_s::register_enum, rmff_dump_header(), rtsp_bandwidth_strs, rtsp_bandwidths, rtsp_close(), rtsp_connect(), rtsp_search_answers(), rtsp_session_s::s, xine_stream_s::xine, xine_buffer_copyin, xine_buffer_free, xine_buffer_init(), XINE_VERBOSITY_DEBUG, XINE_VERBOSITY_LOG, and xprintf.

Referenced by rtsp_plugin_open().

## Variable Documentation

## ◆ rtsp_bandwidth_strs

const char* const rtsp_bandwidth_strs[]
| static

Initial value:
={"14.4 Kbps (Modem)", "19.2 Kbps (Modem)",
"28.8 Kbps (Modem)", "33.6 Kbps (Modem)",
"34.4 Kbps (Modem)", "57.6 Kbps (Modem)",
"115.2 Kbps (ISDN)", "262.2 Kbps (Cable/DSL)",
"393.2 Kbps (Cable/DSL)","524.3 Kbps (Cable/DSL)",
"1.5 Mbps (T1)", "10.5 Mbps (LAN)", NULL}
NULL
NULL
Definition xine_plugin.c:78

Referenced by rtsp_session_start().

## ◆ rtsp_bandwidths

const uint32_t rtsp_bandwidths[]
| static

Initial value:
={14400,19200,28800,33600,34430,57600,
115200,262200,393216,524300,1544000,10485800}

Referenced by rtsp_session_start().